import { PgSelectedFields, SQLiteSelectedFields, QueryConfig, SelectQuery, AnyColumn } from "@db/types/db-types";
/** @monorepo-internal */
export declare function isAnyColumn(value: unknown): value is AnyColumn;
export declare function isValidTableName(name: string): boolean;
export declare function hasSymbolKey<T extends object>(object: T, symbol: symbol): symbol is Extract<keyof T, symbol>;
export declare function hasConfig(query: unknown): query is {
    config: QueryConfig;
};
export declare function isPgSelection(selection: unknown): selection is PgSelectedFields;
export declare function isSQLiteSelection(selection: unknown): selection is SQLiteSelectedFields;
export declare function isSelectQuery(query: unknown): query is SelectQuery;
